Album: People Posture Play Pretend
Style: single
Artists:
- Jamie Paige
Date: April 1, 2022
Date Added: October 25, 2023
URLs:
- https://jamiepaige.bandcamp.com/album/people-posture-play-pretend
- https://www.youtube.com/playlist?list=OLAK5uy_nSYPy1-b0qhZHmGHgdidGUGiEHh4Ux9gc
- https://open.spotify.com/album/1fadrHo69uEqhbAgmD9pDU
- https://music.apple.com/album/people-posture-play-pretend-single/1616903641
Cover Artists:
- REVERIEQUE
Color: '#dc869f'
Groups:
- Jamie Paige
- Beyond
Cover Art File Extension: png
---
Track: People Posture Play Pretend
Contributors:
- Synthesizer V ANRI
Duration: 4:16
Referenced Tracks:
- Paisley Patterns
Lyrics: |-
    And get excited for a moment
    But like a candle underwater
    It puts a bullet through the showman

    But I'm giving it back tomorrow
    And they can keep it at their bedside
    I'll paint a pattern on the window
    And watch them try to hit the broadside

    I just aim for the end of the day
    And sleeping through the morning, it's always the same
    But I won't sit around, only wait, I will change it to go my way

    But can you make it on your own
    When your self is on the mend?
    Well, you can fake a status quo
    A passive poem, psyche-penned
    But can it get you very far?
    Oh, it's a road without an end
    But everybody plays a part
    The people posture, play pretend

    Oh, it's a ruby colored Wednesday
    And I can feel it getting faster
    I'm simply flown along the flyway

    But I can't decide if I want to wander
    A vagabond upon the roadside
    It's always easier to ponder
    With all the fates remaining tongue-tied

    I just aim for the end of the show
    And sleeping through the chorus, it's all that I know
    But I can play a part, take it slow, and I'll bask in the spotlight glow

    But can you make it on your own
    When your self is on the mend?
    Well, you can ride along the flow
    A proud performance, pure pretense
    But can it get you very far?
    Or are you stuck inside the trend?
    Well, you can pass the prosy par
    When people posture, play pretend

    I just aim for whatever I can
    And someday maybe something will go as I planned
    But nothing that I try seems to fly, I rely on some fleeting sleight of hand
    But the push comes to shove anyway
    You're dying every evening and born every day
    So you just need a part you can play, and you're ready to join the stage
    And paint a pattern on the wall

    But can you make it on your own
    When your self is on the mend?
    Well, that's an answer you should know
    A perfect person? preference
    'Cause you've already made it here
    So don't you let yourself forget
    Just keep it simple n' sincere
    Proclaim your pleasure, pirouette
    And you can make it pretty far
    Something on which you can depend
    You'll be a guiding little star
    When people posture, play pretend

    (Paisley Pudge!)
Commentary: |-
    <i>Jamie Paige:</i>
    "but can you make it on your own, when your self is on the mend?"

    VOCAL SYNTHS: ✅<br>
    LEITMOTIFS: ✅<br>
    FAST DRUMS: ✅<br>
    RUMINATIONS ON SELF-ESTEEM AND THE MALLEABLE, FLUID NATURE OF IDENTITY: ✅<br>
    GAY: ✅

    ✅THAT'S A JAMIE PAIGE SINGLE✅
---
Track: When Spring Comes
Contributors:
- Synthesizer V ANRI
Duration: 3:43
URLs:
- https://jamiepaige.bandcamp.com/track/when-spring-comes
- https://www.youtube.com/watch?v=aGAfw-WzPf4
- https://open.spotify.com/track/4mrFUm6L1ehLwZaSRae9lf
- https://music.apple.com/album/when-spring-comes/1616903641?i=1616903643
Lyrics: |-
    Another day, nothing much to say
    When the sun shows up and it's all the same
    You claim to keep it in your frame
    That the world's more bright when the seasons change
    (But I feel that burning in my eyes)
    When the leaves grow back neath a bright blue sky
    (So I keep on searching through my mind)
    For the reason why I can't help but cry

    Is it all for a show?
    In the golden hour, you seem to know no fear
    Is it really true?
    That I just can't feel the same as—

    When spring comes
    The world is blooming again
    (Yet my tears never seem to end)
    When spring comes
    We watch the flowers ascend
    (And it kills me to breathe it in)
    You seem to have an easy time with this
    Why am I left dry when you chase your bliss?
    Oh, it's always such an easy time for you
    When I see you smile, can I feel that too?

    Another day
    (Nothing much to say)
    I lay low when you walk this way
    And stay so very far away
    'Cause the spring has come and I'm so afraid
    (Not a care in your mind)
    Do you think of me when I'm out of sight
    (Can I stay by your side)
    'Cause you're a gentle warmth in the blackest night

    Is it all in my head?
    When I try too hard, I only feel regret
    Do you have a clue
    How desperately I love—

    When spring comes
    The world is blooming again
    (Yet my tears never seem to end)
    When spring comes
    We take the air for a spin
    (And it kills me to breathe it in)
    You always have an easy time outside
    But I cough and sneeze while your eyes stay dry
    Oh, why is it such an easy time for you?
    When the springtime comes and my heart turns blue

    When I've naught but my pride
    You can still look past and stay right by my side
    Is it really true?
    That you still can find a reason—

    When spring comes
    The world is blooming again
    (And my tears finally find their end)
    When spring comes
    I feel my heart on the mend
    (And it holds through the springtime's end)
    My allergies would make me loathe this sky
    But it's not so bad when you dry my eyes
    Oh, and though it's easy, you can help me too
    You're the medicine for a heartbeat true
